VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
UIViewFactory Class Reference
New classes » Version 4.0

Default view factory. More...

`#include <uiviewfactory.h>`

Inheritance diagram for UIViewFactory:

## Public Member Functions
| UIViewFactory ()
| ~UIViewFactory () noexcept override=default
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const override
bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const override
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...
Public Member Functions inherited from IViewFactory
virtual | ~IViewFactory () noexcept=default
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const =0
virtual bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const =0

## Static Public Member Functions
static IdStringPtr | getViewName (CView *view)
static void | registerViewCreator (const IViewCreator &viewCreator)
static void | unregisterViewCreator (const IViewCreator &viewCreator)

## Protected Member Functions
void | evaluateAttributesAndRemember (CView *view, const UIAttributes &attributes, UIAttributes &evaluatedAttributes, const IUIDescription *description) const
CView * | createViewByName (const std::string *className, const UIAttributes &attributes, const IUIDescription *description) const

## Detailed Description

Default view factory.

## Constructor & Destructor Documentation

## ◆ UIViewFactory()

UIViewFactory | ( |  | ) |

## ◆ ~UIViewFactory()

~UIViewFactory | ( |  | ) |
| override default noexcept

## Member Function Documentation

## ◆ applyAttributeValues()

bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc
| ) |  | const
| override virtual

Implements IViewFactory.

## ◆ applyCustomViewAttributeValues()

bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc
| ) |  | const
| override virtual

Implements IViewFactory.

## ◆ createView()

CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| override virtual

Implements IViewFactory.

## ◆ createViewByName()

CView * createViewByName | ( | const std::string * | className,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| protected

## ◆ evaluateAttributesAndRemember()

void evaluateAttributesAndRemember | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | UIAttributes & | evaluatedAttributes,
|  | const IUIDescription * | description
| ) |  | const
| protected

## ◆ getViewName()

IdStringPtr getViewName | ( | CView * | view | ) |
| static

## ◆ registerViewCreator()

void registerViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

## ◆ unregisterViewCreator()

void unregisterViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

The documentation for this class was generated from the following files:

- uiviewfactory.h
- uiviewfactory.cpp